Create Quote Execution
Execute on a quote for buying or selling an asset.
The side, market, and guaranteed price of the execution are specified by the quote
with ID quote_id.
The amount to buy or sell must be specified in either fiat or crypto by setting exactly one of:
base_amountto specify the amount of crypto to buy or sell.quote_amountto specify the amount of fiat to spend or acquire.
An otherwise-valid request to create a quote execution may fail with the following types of errors:
- Expired if the quote
with ID
quote_idhas expired. - Insufficient Funds
if the profile with ID
profile_idhas insufficient available balance to fund the execution. - Rejected if extreme market conditions (e.g. a very large price swing) have invalidated the quote.
- Already Exists
if a Quote Execution with the same
ref_idhas already been created.
Documentation Index
Fetch the complete documentation index at: https://paxos-0ac97319-kristin-rp-5021.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Paxos APIs use OAuth 2 with the client credentials grant flow.
Token URLs:
- Production: https://oauth.paxos.com/oauth2/token
- Sandbox: https://oauth.sandbox.paxos.com/oauth2/token
Learn more in the API credentials guide →
Path Parameters
The ID of the profile under which to execute this order.
Body
The ID of the held Quote for buying or selling some asset.
A unique identifier for the quote execution (for idempotence).
The amount of the base asset (crypto) to buy or sell using the specified quote. The maximum precision is 8 decimals.
^[0-9]*\.?[0-9]+$The amount of the quote asset (fiat) to spend or acquire using the specified quote. The maximum precision is 2 decimals.
^[0-9]*\.?[0-9]+$Metadata to store on the quote execution. Up to 6 key/value pairs may be stored, with each key and value at most 100 characters.
The end user that requests the quote execution.
The account under which this quote execution is placed. The provided identity must be allowed to trade on behalf of this account.
The ID of the profile under which to deposit the funds.
Response
A successful response.
A QuoteExecution is an order to buy or sell an asset at a particular held Quote.
The UUID of the quote execution.
The ID of the profile under which this order executed.
The ID of the quote used to create this quote execution.
A QuoteExecution begins in state CREATED and transitions to end state SETTLED
when all accounting movements are complete.
CREATED, SETTLED ETHEUR, ETHSGD, ETHUSD, BTCEUR, BTCSGD, BTCUSD, PAXGUSD, BCHUSD, LTCUSD, USDPUSD, LINKUSD, MATICUSD, AAVEUSD, UNIUSD, PEPEUSD, TRUMPUSD, SHIBUSD, ARBUSD, BONKUSD, ENAUSD, MNTUSD, ONDOUSD, PENGUUSD, QNTUSD, RENDERUSD, SKYUSD, WIFUSD, WLDUSD Trade side.
BUY, SELL The guaranteed price of the quote.
The amount of assets (crypto) in the transaction.
The "base" side of the trading pair (crypto - like BTC, ETH, PAXG).
The amount of quote currency (cash) in the transaction.
The "quote" side of the trading pair (fiat - like USD, EUR, SGD).
The time at which the quote execution was created.
A unique identifier for the quote execution creation (for idempotence).
The time at which the quote execution was settled, completing its lifecycle.
Client-specified metadata.
The identity under which this quote execution is placed.
The account under which this quote execution is placed.
The ID of the profile under which to deposit the funds.